<!doctype html>

<!-- Document written in English -->
<html lang="en" data-theme="default" data-font-size="default" data-font-family="default" data-underline-links="default">

<head>

    <!--  Document encoded in UTF-8  -->
    <meta charset="UTF-8">

    <!-- Ensure proper rendering on different devices -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!--  Pragma directive to ensure Edge is used when rendering in IE  -->
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- Normalize across various browsers using the popular normalize.css -->
    <link href="stylesheets/normalize.css" rel="stylesheet">

    <!-- Load main style sheet  -->
    <link href="stylesheets/main.css" rel="stylesheet">

    <!--  Show current page name -  pipe - website name in browser title  -->
    <title>Empower Us | Lions Home for Aging Blind</title>
    <link rel="icon" href="assets/images/header/favicon.ico" type="image/x-icon">

    <!-- Meta tags for search engines -->
    <meta name="author" content="Kshitij Gupta">
    <meta name="description" content="The NAB Lions Home for Aging Blind provides it's residents
           with a free shelter, occupational therapy, medical support
           and essential needs.">
    <meta name="keywords" content="NAB, lions, home, visual, impairment, aging, blind">

    <!-- Load external libraries -->
    <script src="scripts/libs/handlebars.min-v4.7.8.js"></script>
    <script src="scripts/libs/jquery-3.7.1.min.js"></script>
    <script src="scripts/libs/anime.min.js"></script>

    <!-- Using the social media icons from solid+brands (free) part of font awesome -->
    <script defer src="scripts/libs/fontawesome/brands.js"></script>
    <script defer src="scripts/libs/fontawesome/solid.js"></script>
    <script defer src="scripts/libs/fontawesome/fontawesome.js"></script>

</head>

<body>

    <!-- The header is populated using a handlebars.js script + template
     This way  we can easily update the header across all pages by updating the template.
     Note that the header includes the primary nav and other sticky DOM elements.
     Please see the header template for more details.
    -->
    <header id="header" class="header-container"></header>

    <!-- The page banner is an aside with a full viewport image background with an overlay -->
    <aside class="banner fill-viewport">
        <img src="assets/images/empower/banner.jpg"
            alt="A resident working on a textile loom as part of an occupational therapy session">
        <!--  The overlay has a semi-transparent background to ensure the text is readable   -->
        <div class="h1-overlay">
            <h1>Empower our residents</h1>
        </div>
    </aside>

    <!-- The main content of the page is divided into articles containing:
     - Why donate facts
     - Donation form
     - Buy merchandise
    -->
    <main>

        <!--  The structure and styling of this article is identical to the key facts on the about page.
          The only difference is the content. This is a good use case for a REUSABLE component.
          Further comments are thus omitted from this article for clarity.
        -->
        <article id="whyDonate" class="article-dark">
            <h2>Why Donate</h2>
            <ul class="fact-list scroll-before show-on-scroll">
                <li>
                    <h3>Free <span>Shelter</span></h3>
                    <p>The Home provides shelter with all basic needs totally free of cost to all residents.</p>
                </li>
                <li>
                    <h3><span>Home</span> Campus</h3>
                    <p>The residents live for 24 hours all through the year in the 'Home Campus'.</p>
                </li>
                <li>
                    <h3>Thank <span>you</span></h3>
                    <p>With your support, we can increase the capacity beyond 75 residents.</p>
                </li>
            </ul>

        </article> <!--  End of WHY DONATE article  -->

        <!--  The donation form is a simple form with a few fields and a submit button.
          The client requested a date element to allow for special date donations.
          The form is styled to match the rest of the website and is similar to the
          send message form on the contact page.

          The client specifically requested a form instead of cards as they want to restrict
          the donation options, and they are not allowed to accept donation from abroad
          due to legal restrictions.

          With server sided hooks, the form can be easily integrated with a payment gateway.
          Furthermore, location based restrictions can be added to meet location based legal requirements.
        -->
        <article id="donate" class="article-dark">
            <h2>Make a donation</h2>

            <!--  The form is wrapped in a container to facilitate responsive styling  -->
            <div class="form-container form-container-wide">

                <form method="GET" id="donationForm" class="form">

                <!--  The donation type is a select element with optgroups to categorize the donation types.
                In essence, the charity has two donation types. One  is purely based on sponsoring meals and the other
                is based on services and goods.
                -->
                    <label for="donationType">Donation type</label> <select id="donationType" name="donationType"
                        form="donationForm" aria-label="Select donation type">
                        <optgroup label="Meals">
                            <option value="meal_opt_1">Special Breakfast</option>
                            <option value="meal_opt_2">Regular Breakfast</option>
                            <option value="meal_opt_3">Regular Lunch</option>
                            <option value="meal_opt_4">Special Lunch</option>
                            <option value="meal_opt_5">Dinner</option>
                            <option value="meal_opt_6">Full day meal</option>
                        </optgroup>
                        <optgroup label="Services and goods">
                            <option value="audi">Sponsor a resident</option>
                            <option value="Items">Buy Groceries</option>
                            <option value="audi">Building maintenance</option>
                            <option value="audi">Education &amp; training</option>
                        </optgroup>
                    </select>

                    <!-- Name field -->
                    <label for="name-input">Name *</label> <input id="name-input" type="text" name="name"
                        placeholder="your name..." required aria-label="Your name">

                    <!-- Email field with type=email ensuring that on mobile devices the keypad switches appropriately -->
                    <label for="email-input">Email address *</label> <input id="email-input" type="email" name="email"
                        placeholder="your email..." required aria-label="Your email address">

                    <!-- Phone field with Indian phone number constraints -->
                    <label for="phone-input">Phone *</label> <input id="phone-input" type="tel" name="phone"
                        placeholder="0123456789" minlength="7" maxlength="10" required aria-label="Your phone number">

                    <!-- Message field -->
                    <label for="message-input">Your message</label> <textarea id="message-input" name="message" rows="5"
                        placeholder="Enter your message here…" aria-label="Your message"></textarea>

                    <!-- Special Date Reminder section with checkbox -->
                    <label for="date-input">Special Date</label> <input id="date-input" type="date" name="date"
                        aria-label="Select a special date">
                    <div class="checkbox">
                        <input type="checkbox" id="reminder-checkbox" name="reminder" value="reminder-subscription">
                        <label for="reminder-checkbox">Remind me on the special date to donate again</label>
                    </div>

                    <!-- Submit button -->
                    <input type="submit" value="Send Request" aria-label="Submit donation request">
                </form>
            </div> <!--  End of form container  -->
        </article> <!--  End of Donation Form article  -->

        <!-- The merchandise article contains product cards.
          It has products in a grid layout with am add to cart button to allow for easy purchase.
          Currently, the add to card button simply increments the overlaid number on the cart in the nav bar.
          In a real-world scenario, this would be linked to a payment gateway.
        -->
        <article id="buyMerch" class="article-light">

            <h2>Shop</h2>

            <!--  Wrapper div to force a column layout for the text and the product list container  -->
            <div class="content-column">
                <p>
                    At the NAB Lions home, we provide <span>occupational therapy</span> to help our residents remain
                    mentally and physically fit, as well as to make them <span>confident</span> and
                    <span>self-reliant</span>. Our residents engage in various activities such as weaving, embroidery,
                    chair
                    caning and basket making.

                    We are proud to offer a wide range of amazing items created by our residents, which can be purchased
                    through our website. By supporting our residents and purchasing their handmade products, you are not
                    only getting high-quality items but also <span>making a positive impact</span> on their lives.
                </p>

                <!-- Grid container for the product cards-->
                <div class="card-container">

                    <!--  Each card contains an image, title, price and an add to cart button  -->

                    <!-- First product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/basket.png" alt="Cane Baskets made by the residents">
                        <h4>Cane Baskets</h4>
                        <p class="price">&#8377; 500</p>

                        <!-- The onclick event listener in the scripts is used to increment the cart number in the nav bar -->
                        <button class="add-to-cart" aria-label="Add Cane Baskets to Cart">Add to Cart</button>
                    </section>

                    <!-- Second product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/pillows.jpg" alt="Pillow Cases made by the residents">
                        <h4>Pillow Cases</h4>
                        <p class="price">&#8377; 300</p>
                        <button class="add-to-cart" aria-label="Add Pillow Cases to Cart">Add to Cart</button>
                    </section>

                    <!-- Third product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/napkins_towels.avif"
                            alt="Napkins &amp; Towels made by the residents">
                        <h4>Napkins &amp; Towels</h4>
                        <p class="price">&#8377; 200</p>
                        <button class="add-to-cart" aria-label="Add Napkins & Towels to Cart">Add to Cart</button>
                    </section>

                    <!-- Fourth product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/apron.avif" alt="Kitchen Aprons made by the residents">
                        <h4>Kitchen Aprons</h4>
                        <p class="price">&#8377; 150</p>
                        <button class="add-to-cart" aria-label="Add Kitchen Aprons to Cart">Add to Cart</button>
                    </section>

                    <!-- Fifth product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/hankys.avif"
                            alt="Initialed Handkerchiefs made by the residents">
                        <h4>Initialed Handkerchiefs</h4>
                        <p class="price">&#8377; 150</p>
                        <button class="add-to-cart" aria-label="Add Initialled Handkerchiefs to Cart">Add to
                            Cart</button>
                    </section>

                    <!-- Sixth product card -->
                    <section class="card zoom-in-on-hover">
                        <img src="assets/images/empower/candles.jpg" alt="Candles made by the residents">
                        <h4>Candles</h4>
                        <p class="price">&#8377; 100</p>
                        <button class="add-to-cart" aria-label="Add Candles to Cart">Add to Cart</button>
                    </section>

                </div> <!--  End of product cards container  -->

            </div> <!--  End of content column  -->

        </article> <!--  End of Merchandise article  -->

    </main>

    <!-- The footer is populated using a handlebars.js script + template.
     This way  we can easily update the footer across all pages by updating the template.
     Note that the footer includes the sitemap, social media links and copyright.
     Please see the footer template for more details.
    -->
    <footer id="footer"></footer>

    <!-- Load scripts -->
    <!-- Defer to ensure script is run after document has been parsed (but DOM load is checked inside of the script) -->
    <script defer src="./scripts/main.js"></script>

</body>

</html>